## searchtool 0.1-1

=== debian/changelog ===
searchtool (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Bundyo <bundyo@gmail.com>  Mon, 8 Feb 2010 00:10:00 +0200
