## searchtool 0.1-2

=== debian/changelog ===
searchtool (0.1-2) unstable; urgency=low

  * Added bugtracker for promotion.

 -- Bundyo <bundyo@gmail.com>  Mon, 12 Apr 2010 01:40:00 +0200
