## searchtool 0.1-3

=== debian/changelog ===
searchtool (0.1-3) unstable; urgency=low

  * Lowered the libhildon1 and libhildonmime0 requirements to support PR-1.1.1.

 -- Bundyo <bundyo@gmail.com>  Mon, 12 Apr 2010 21:55:00 +0300
 
