=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 
 Package: searchtool
 Architecture: armel
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
+Depends: libhildon1 (>= 2.2.0), libhildonmime0 (>= 2.1.0), ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
 Description: A simple search tool
+XSBC-Bugtracker: bundyo@gmail.com
 XB-Maemo-Display-Name: Search Tool
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/I
