## searchtool 0.1-4

=== wscript ===
--- 
+++ 
@@ -44,7 +44,7 @@
     if Options.options.maemo_launcher:
     	conf.check_cfg(package='maemo-launcher-app', uselib_store='LAUNCHER', atleast_version='0.31', mandatory=True, args='--cflags --libs')
 #    conf.check_cfg(package='libxml-2.0', uselib_store='LIBXML', atleast_version='2.0.0', mandatory=True)
-	
+
     if (conf.env['HAVE_FREMANTLE'] == 1):
         conf.define('VALAFLAGS', '--disable-dbus-transformation --define=FREMANTLE')
