=== src/wscript ===
#!/usr/bin/env python

import Options

sources = """search-tool.vala result-grid.vala query.vala metadata-tile.vala
			 entry.vala category-view.vala utils.vala"""
packages = """config gtk+-2.0 glib-2.0 hildon-1 hildonmime hildon-fm-2 libosso dbus-glib-1 gio-2.0
			  x11 gdk-x11-2.0"""
vapi_dirs = [ '../lib', '../vapis' ]

def pre(ctx):
	ctx.sources = sources
	ctx.packages = packages
	ctx.vapis = vapi_dirs

def build(bld):
	prog = bld.new_task_gen('cc', 'cprogram') 
	# symbolic name used to reference this object
	prog.name = 'searchtool.program'
	# name of the resulting program
	prog.target = 'searchtool'
	prog.source = sources
	# libraries to link against
	prog.uselib = 'GTK+ GLIB HILDON HILDONFM OSSO DBUS GNOMEVFS LAUNCHER X GDKX11 GIO'
	# Vala packages to use
	prog.packages = packages
	# Extra vapi dirs
	prog.vapi_dirs = vapi_dirs
	prog.includes = ''
#	if Options.options.cflags is not None:
#        	prog.env["CPPFLAGS"] = Options.options.cflags.join( [ "-include config.h", "-I/usr/include/gnome-vfs-2.0", "-g" ] )
#	else:
#        	prog.env['CPPFLAGS'] = '-mfpu=vfp -mcpu=arm1136jf-s -mtune=arm1136jf-s -I/usr/include/gnome-vfs-2.0 -g -include config.h'
	prog.env['CPPFLAGS'] = [ "-includeconfig.h", "-mfpu=neon", "-mcpu=cortex-a8", "-mtune=cortex-a8", "-mfloat-abi=softfp",
								 "-I/usr/include/gnome-vfs-2.0", "-g", "-O2", "-fomit-frame-pointer", "-fsigned-char", 
								 "-I/home/bundyo/vala-projects/search-tool/_build_/default/" ]
	prog.env['CFLAGS'] = ''  # '-msoft-float -mcpu="arm1026ej-s" -mtune="arm1026ej-s"'
	# Enable threading
	#prog.threading = True

def set_options(bld):
	bld.add_option('--cflags', type='string', dest='cflags')
	bld.add_option('--cppflags', type='string', dest='cppflags')
