=== debian/changelog ===
searchtool (0.1-4) unstable; urgency=low

  * Second try.

 -- Bundyo <bundyo@gmail.com>  Mon, 12 Apr 2010 23:25:00 +0300
