=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: searchtool
 Architecture: armel
-Depends: libhildon1 (>= 2.2.0), libhildonmime0 (>= 2.1.0), ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
 Description: A simple search tool
 XSBC-Bugtracker: bundyo@gmail.com
 XB-Maemo-Display-Name: Search Tool
