## searchtool 0.1-6

=== debian/changelog ===
searchtool (0.1-6) unstable; urgency=low

  * Package dependencies fixed.

 -- Bundyo <bundyo@gmail.com>  Mon, 13 Apr 2010 00:05:00 +0300
 
