## searchtool 0.1-7

=== debian/changelog ===
searchtool (0.1-7) unstable; urgency=low

  * Fix bugtracker link and longer description.

 -- Bundyo <bundyo@gmail.com>  Mon, 13 Apr 2010 18:15:00 +0300
 
