=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 Package: searchtool
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
-Description: A simple search tool
-XSBC-Bugtracker: bundyo@gmail.com
+Description: A simple file search tool
+ A simple file search tool for the Tracker database that indexes the Maemo 5 filesystem (internal storage and the card).
+XSBC-Bugtracker: mailto:bundyo@gmail.com
 XB-Maemo-Display-Name: Search Tool
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/I
